
QGIS Application - Bug report #6756

heatmap plugin is very slow

2012-11-24 07:29 PM - Aren Cambre

Status: Closed

Priority: High

Assignee:

Category: C++ Plugins

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15912

Description

Coming from #6691, the heatmap plugin is very slow. Running it on a layer with over 700,000 points crashed after 12 hours.

GRASS GIS recently improved its v.kernel for the exact same layer. That took 16 hours, and with recent improvements, it reduced the

execution time to about 2.5% of the original time. Just mentioning this in case there are lessons that could be learned from GRASS.

Associated revisions

Revision b567a6d6 - 2013-03-07 01:15 AM - Nyall Dawson

Refactor to avoid creating multiple QgsDistanceArea objects and recalculation of static or unused variables. Results in massive speed increase and fixes

#6756, #6691 and #6692.

Revision 9a81fa76 - 2013-03-17 09:03 AM - Nathan Woodrow

Merge pull request #461 from nyalldawson/heatmap_fixes

Massive speedup to heatmap plugin (fix #6756, fix #6691 and fix #6692)

History

#1 - 2012-12-30 09:46 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2013-03-11 01:05 AM - Giovanni Manghi

This will be fixed by this

https://github.com/qgis/Quantum-GIS/pull/461

#3 - 2013-03-17 01:04 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"9a81fa760993ef8cc5c5f0829f635cbaf2c4e63b".
